Retrieves config info by id
GEThttps://apis.<domain>/iot/edge/configs/:configId
Retrieves config info by id.
Authorization Action:
core:config:get
Request
Path Parameters
configId uuidrequired
Unique Config identifier. It's the ID of the corresponding Thing.
Responses
- 200
- 401
- 404
- 500
Data retrieved.
- application/json
- Schema
- Example (auto)
Schema
connhex_idstring<uuid>
Corresponding Connhex Thing ID.
connhex_keystring<uuid>
Corresponding Connhex Thing key.
connhex_channels object[]
init_idstringrequired
MAC address or other identifier.
init_keystringrequired
init key.
contentstring
Free-form custom configuration.
stateState (integer)
Possible values: [0, 1]
{
"connhex_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"connhex_key": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"connhex_channels": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"metadata": {}
}
],
"init_id": "string",
"init_key": "string",
"content": "string",
"state": 0
}
Unauthorized.
Config not found.
Unexpected server error.
Authorization: http
name: bearerTokentype: httpscheme: bearerin: headerdescription: Authorization Header: `Authorization: Bearer <user_token>`
- csharp
- curl
- dart
- go
- http
- java
- javascript
- kotlin
- c
- nodejs
- objective-c
- ocaml
- php
- powershell
- python
- r
- ruby
- rust
- shell
- swift
- HTTPCLIENT
- RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://apis.<domain>/iot/edge/configs/:configId");
request.Headers.Add("Accept", "application/json");
request.Headers.Add("Authorization", "Bearer <token>");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());